FROM docker-registry.wikimedia.org/bookworm:latest
RUN apt-get update && DEBIAN_FRONTEND=noninteractive apt-get install -y aptitude build-essential ca-certificates devscripts equivs git-buildpackage sudo

ADD build.sh /usr/bin/build-deb-package
RUN chmod +x /usr/bin/build-deb-package

ADD sudo /etc/sudoers.d/build

RUN useradd -ms /bin/bash build
USER build
